#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#include "vendedores.h"

int imprimirVendedores (vendedor_t *pV, int cant);
int leerVendedores (vendedor_t*pV, int*cant);
int leerVentasDelMes (venta_t*pV, int mes);


int imprimirVendedores (vendedor_t *pV, int cant) {

  int i = 0;
  
  for ( i = 0; i < cant; i++) {
  
    printf("Vendedor %d: %s - legajo: %d - antiguedad: %d\n",
      i, pV->NyA, pV->legajo, pV->antig);
      
    pV++;
  
  }
  return 0;
  

}


int leerVendedores (vendedor_t*pV, int*l) {
	FILE*fp;

	char linea[LINEA_L];
	char*pLinea;
	
	int cant;


	fp = fopen("vendedores.csv", "r");
	if(fp == NULL) return -1;

  cant = 0;

	while (!feof(fp)) {
	
		pLinea = fgets(linea, LINEA_L, fp);
		if(pLinea != NULL) {
		
		  pLinea = strtok(linea, ",");
      strcpy(pV->NyA, pLinea);
      pLinea = strtok(NULL, ",");
      pV->legajo = atoi(pLinea);
      pLinea = strtok(NULL, ",");
      pV->antig = atoi(pLinea);
      pV++;
      cant++;
		}
	  
    
	}

  *l = cant;
  fclose(fp);
  return 0;

}

int leerVentasDelMes (venta_t*pV, int mes) {
	FILE*fp;

  char archivo[13];
  char linea[LINEA_L];
  char*pLinea;
  int dia;
  
  for(dia = 1; dia <= DIA_MAX; dia++) {

    sprintf(archivo, "2018%.2d%.2d.csv", mes, dia);

	  fp = fopen(archivo, "r");

	  if(fp == NULL) {
      // NO HAGO NADA, SIGO DE LARGO
    }
    else {

	    while (!feof(fp)) {
		    pLinea = fgets(linea, LINEA_L, fp);

		    if(pLinea != NULL) {
		      pLinea = strtok(linea, ",");
          pV->cantVendidos = atoi(pLinea);
          pLinea = strtok(NULL, ",");
          pV->monto = atof(pLinea);
          pLinea = strtok(NULL, ",");
          pV->legajo = atoi(pLinea);
          pV++;
		    }
	    }
	  }
  }
  return 0;

}






